version: "3.9"

services:
  app:
    image: orenciso/xgame-teams-api:latest
    container_name: xgame-teams-api
    env_file:
      - .env
    ports:
      - 3010:3010

  copy-teams-env:
    image: orenciso/xgame-teams-api:latest
    container_name: copy-teams-env
    volumes:
      - /var/www/xgame-apis/xgame-teams-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
